## org.eclipse.emf.edit.ui.util
Class EditUIUtil

    java.lang.Object
      org.eclipse.emf.edit.ui.util.EditUIUtil

    public class EditUIUtil

extends java.lang.Object

Since:
  2.2.0

Constructor Summary
`EditUIUtil()`

Method Summary
`static URI` `getURI(IEditorInput editorInput)`
`static boolean` `openEditor(EObject eObject)` Opens the default editor for the resource that contains the specified EObject.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EditUIUtil

    public EditUIUtil()

Method Detail

### openEditor

    public static boolean openEditor(EObject eObject)
                              throws PartInitException

  Opens the default editor for the resource that contains the specified EObject. This method only works if the resource's URI is a platform resource URI.

  Throws:
    `PartInitException`

### getURI

    public static URI getURI(IEditorInput editorInput)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.